curl https://api.tapkit.ai/v1/jobs/$JOB_ID \
-H "X-API-Key: $TAPKIT_API_KEY"
{
"id": "5d2c9a0e-7f7b-4c1e-9d1a-2f4b8e0c3a61",
"status": "failed",
"result": { "error": "TIMEOUT" },
"created_at": "2026-09-23T18:30:00Z",
"completed_at": "2026-09-23T18:31:00Z"
}
Jobs
Get job
Check the status of an action
GET
/
jobs
/
{job_id}
curl https://api.tapkit.ai/v1/jobs/$JOB_ID \
-H "X-API-Key: $TAPKIT_API_KEY"
{
"id": "5d2c9a0e-7f7b-4c1e-9d1a-2f4b8e0c3a61",
"status": "failed",
"result": { "error": "TIMEOUT" },
"created_at": "2026-09-23T18:30:00Z",
"completed_at": "2026-09-23T18:31:00Z"
}
Poll a job started with
?async=true. See Jobs.
string
required
The
job_id returned by the action.Response
string
The job’s ID.
string
pending, running, completed, or failed.object | null
On failure,
error describes what went wrong.string
When the job was created.
string | null
When the job finished.
curl https://api.tapkit.ai/v1/jobs/$JOB_ID \
-H "X-API-Key: $TAPKIT_API_KEY"
{
"id": "5d2c9a0e-7f7b-4c1e-9d1a-2f4b8e0c3a61",
"status": "failed",
"result": { "error": "TIMEOUT" },
"created_at": "2026-09-23T18:30:00Z",
"completed_at": "2026-09-23T18:31:00Z"
}